# $Revision: 1.24 $, $Date: 2007/06/14 18:29:38 $
Summary:	Graphical front-end to gcc/g++
Summary(pl.UTF-8):	Graficzna nakładka na gcc/g++
Name:		openldev
Version:	1.0
Release:	1
License:	GPL v2
Group:		X11/Applications
Source0:	http://dl.sourceforge.net/openldev/%{name}-%{version}.tar.bz2
# Source0-md5:	e5345d18b6f7cafcac85e3ce66b33217
Patch0:		%{name}-desktop.patch
Patch1:		%{name}-makefile.patch
URL:		http://www.openldev.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gnome-vfs2-devel
BuildRequires:	gtk+2-devel >= 2.6.0
BuildRequires:	gtksourceview-devel >= 1.2.0
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	vte-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Open Linux Developer is a environment based on the GTK+2 libraries
that provides a graphical front-end to gcc/g++. It includes the basic
essentials needed by a C/C++ programmer.

%description -l pl.UTF-8
Open Linux Developer jest środowiskiem opartym o bibliotekę GTK+2,
będącym graficzną nakładką na gcc/g++. Zawiera podstawowe składniki
porzebne dla programisty C/C++.

%prep
%setup -qn %{name}
%patch0 -p1
%patch1 -p1

# workaround for hardcoded paths
sed -i -e 's|/lib/openldev|/%{_lib}/openldev|' openldev/openldev-plugin-engine.cc

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-template-all \
	--disable-static

%{__make} \
	CXXFLAGS='%{rpmcflags}'

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

ln -sf %{_pixmapsdir}/openldev/openldev48.png \
	$RPM_BUILD_ROOT%{_pixmapsdir}/openldev.png
	
rm -rf $RPM_BUILD_ROOT%{_docdir}/%{name}
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS TODO
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/libopenldev.so*
%dir %{_libdir}/%{name}
%attr(755,root,root) %{_libdir}/%{name}/*.so
%{_libdir}/%{name}/*.la
%{_libdir}/%{name}/*.plugin
%{_datadir}/%{name}
%{_desktopdir}/*.desktop
%{_pixmapsdir}/%{name}
%{_pixmapsdir}/*.png
%{_mandir}/man1/*.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: openldev.spec,v $
Revision 1.24  2007/06/14 18:29:38  arekm
- up to 1.0 final

Revision 1.23  2007/02/13 07:16:51  glen
- tabs in preamble

Revision 1.22  2007/02/12 00:49:17  baggins
- converted to UTF-8

Revision 1.21  2007/01/28 13:15:20  arekm
- up to 1.0rc1

Revision 1.20  2006/12/23 18:12:35  arekm
- rel 2

Revision 1.19  2006/05/15 21:43:22  freetz
- 0.6.1

Revision 1.18  2006/04/26 07:30:02  paladine
- updated to 0.6.0

Revision 1.17  2006/04/16 13:45:01  freetz
- 0.5.6

Revision 1.16  2006/03/17 15:30:26  freetz
- 0.5.5

Revision 1.15  2005/11/18 22:32:08  freetz
- 0.5.0, manual page added

Revision 1.14  2005/11/03 20:15:43  glen
- unify sf url, and other things that adapter felt neccessary

Revision 1.13  2005/09/15 18:08:39  freetz
- 0.4.4

Revision 1.12  2005/09/06 19:27:49  freetz
- 0.4.3

Revision 1.11  2005/08/23 08:09:51  paladine
- updated to 0.4.2
- moved from gtkmm to gtk+2
- updated descriptions

Revision 1.10  2005/07/22 21:42:31  freetz
- 0.4.1, missing libglademm-devel BR

Revision 1.9  2005/06/26 00:43:10  zbyniu
- removed BRs required indirect by other BRs

Revision 1.8  2005/06/08 14:57:19  zbyniu
- BR: ncurses-devel, popt-devel

Revision 1.7  2005/06/07 19:57:13  paladine
- build with templates
- license unification
- added some %%doc's
- rel. 2

Revision 1.6  2005/06/07 18:41:01  freetz
- 0.4.0, more BRs

Revision 1.5  2005/05/20 15:53:33  freetz
- 0.3.10

Revision 1.4  2005/05/02 18:25:54  freetz
- 0.3.9

Revision 1.3  2005/04/25 20:21:23  qboosh
- cosmetics, BR gtkmm-devel not just gtkmm I think

Revision 1.2  2005/04/24 19:02:53  freetz
- pass OPTFLAGS to %%{__make}

Revision 1.1  2005/04/24 17:49:42  freetz
- initial
